Bug 179390 - [PATCH] lang/pure: update to 0.57, remove bsd.pure.mk
[PATCH] lang/pure: update to 0.57, remove bsd.pure.mk
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Xin LI
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 08:40 UTC by nemysis
Modified: 2013-11-06 23:00 UTC (History)
1 user (show)

See Also:


Attachments
pure-0.57.patch (10.84 KB, patch)
2013-06-07 08:40 UTC, nemysis
no flags Details | Diff
pure.diff (8.62 KB, patch)
2013-10-16 16:26 UTC, Rusmir Dusko
no flags Details | Diff
pure-5.8.all_in_one.patch (29.30 KB, patch)
2013-10-24 01:43 UTC, zy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-06-07 08:40:02 UTC
- Update to 0.57
- Shorten header
- Trim master sites
- Trim comment
- Trim dependency for devel/llvm
- Add new Uses
- Trim docs
- Trim examples
- Add ETC Option
- Fix data
- Comply with OptionsNG
- Remove bsd.pure.mk
- Update WWW
- Trim pkg-plist

Removed file(s):
- bsd.pure.mk

Port maintainer (lichray@gmail.com) is cc'd.

Generated and tested manually, tested with port test and with RedPorts, sent with FreeBSD Port Tools 0.99_7 (mode: update, diff: ports)

How-To-Repeat: 
Port not use new /usr/ports/Mk/Uses/pure.mk

Build log

https://redports.org/buildarchive/20130607001900-18016/
Comment 1 Edwin Groothuis freebsd_committer 2013-06-07 08:40:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-06-07 08:40:13 UTC
Maintainer of lang/pure,

Please note that PR ports/179390 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179390

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-06-07 08:40:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 nemysis 2013-06-07 08:57:14 UTC
Sorry forget to add to commit message

Added file(s):
- files/patch-pure.cc
Comment 5 lichray 2013-06-07 11:04:39 UTC
1. What happened to bsd.pure.mk?  If you remove that, almost all other
pure-* ports break;
2. What's the patch for?  Why disabling history?

--
Zhihao Yuan, ID lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 6 nemysis 2013-06-07 16:34:11 UTC
On Fri, 7 Jun 2013 06:04:39 -0400
Zhihao Yuan <lichray@gmail.com> wrote:

> 1. What happened to bsd.pure.mk?  If you remove that, almost all other
> pure-* ports break;
> 2. What's the patch for?  Why disabling history?
> 
> --
> Zhihao Yuan, ID lichray
> The best way to predict the future is to invent it.
> ___________________________________________________
> 4BSD -- http://4bsd.biz/

Please look ports/179401: [PATCH] /usr/ports/Mk/Uses/pure.mk: New Uses pure
Comment 7 zhihao.yuan 2013-06-07 17:03:41 UTC
Why disabling history?  This update is suppose to be a minimal change,
and we try not to disable useful features.

-- 
Zhihao Yuan <zhihao.yuan@rackspace.com>
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 8 nemysis 2013-06-07 22:16:52 UTC
When i try to build without lang/pure/files/patch-pure.cc

port test
...
test -d etc || mkdir etc
sed -e 's,@bindir\@,/var/tmp/ports/pure-0.57/bin,g' -e 's,@libdir\@,/var/tmp/ports/pure-0.57/lib,g' ./etc/pure-mode.el.in > etc/pure-mode.el.tmp
mv etc/pure-mode.el.tmp etc/pure-mode.el
c++ -shared -Wl,-soname,libpure.so.8 -o libpure.so.8.0  -L/usr/local/lib expr.o interpreter.o matcher.o printer.o runtime.o symtable.o util.o lexer.o parser.o  -L/usr/local/lib -lLLVM-3.2 -L/usr/local/lib  -lpthread -lm  -liconv -lm -lmpfr -lgmp  -L/usr/local/lib -lgmp
ln -sf libpure.so.8.0 libpure.so.8
ln -sf libpure.so.8.0 libpure.so
c++ -o pure -L.  -L/usr/local/lib pure.o -lpure -L/usr/local/lib -lLLVM-3.2 -L/usr/local/lib  -lpthread -lm  -liconv -lm -lmpfr -lgmp  -L/usr/local/lib -lgmp -ledit
pure.o: In function `my_command_input2(char const*)':
pure.cc:(.text+0x28e): undefined reference to `history_set_history_state'
pure.cc:(.text+0x2cd): undefined reference to `history_set_history_state'
gmake: *** [pure] Error 1
*** [do-build] Error code 1

Stop in /usr/local/ports/local/patch/lang/pure.
*** [build] Error code 1

Stop in /usr/local/ports/local/patch/lang/pure.
===> Error running make build
===> Cleaning up
Comment 9 lichray 2013-06-07 22:29:44 UTC
On Fri, Jun 7, 2013 at 5:16 PM, nemysis <nemysis@gmx.ch> wrote:
> c++ -o pure -L.  -L/usr/local/lib pure.o -lpure -L/usr/local/lib -lLLVM-3.2 -L/usr/local/lib  -lpthread -lm  -liconv -lm -lmpfr -lgmp  -L/usr/local/lib -lgmp -ledit

Some cflags are duplicated / added by pure itself; you may want to
cleanup the MAKE_ARGS a little bit...

> pure.cc:(.text+0x28e): undefined reference to `history_set_history_state'

OK, the readline emulation header of editline does not support this
function yet.  Then just temporarily disable the editline detection
in Makefile, and always use GNU readline, until we have such a
support.

--
Zhihao Yuan, ID lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 10 Rusmir Dusko freebsd_committer 2013-10-15 22:48:01 UTC
Responsible Changed
From-To: beech->nemysis

I'll take it.
Comment 11 Rusmir Dusko freebsd_committer 2013-10-16 16:26:50 UTC
- Update to 0.58
- Add master sites
- Change dependency for devel/llvm
- Change gnomehack to pathfix
- Remove USE_PURE=yes and bsd.pure.mk
- Change DOCS and EXAMPLES, add DOCS, ETC and EXAMPLES Options
- Support STAGEDIR and add OPTIONS_SUB
- Change WWW
Comment 12 lichray 2013-10-16 16:32:03 UTC
On Wed, Oct 16, 2013 at 11:26 AM, Rusmir Dusko <nemysis@freebsd.org> wrote:
> - Update to 0.58
> - Add master sites
> - Change dependency for devel/llvm
> - Change gnomehack to pathfix
> - Remove USE_PURE=yes and bsd.pure.mk
> - Change DOCS and EXAMPLES, add DOCS, ETC and EXAMPLES Options
> - Support STAGEDIR and add OPTIONS_SUB
> - Change WWW

LGTM, if the trend is to drop .mk files.

-- 
Zhihao Yuan, ID lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 13 zy 2013-10-24 01:43:21 UTC
An all-in-one patch is attached, all based on nemysis@'s work.  Thanks!

-- 
Zhihao Yuan, ID lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 14 Xin LI freebsd_committer 2013-11-06 22:50:35 UTC
State Changed
From-To: feedback->closed

Committed after prodded by maintainer on twitter. 


Comment 15 Xin LI freebsd_committer 2013-11-06 22:50:35 UTC
Responsible Changed
From-To: nemysis->delphij

Take.
Comment 16 dfilter freebsd_committer 2013-11-06 22:50:38 UTC
Author: delphij
Date: Wed Nov  6 22:50:21 2013
New Revision: 333045
URL: http://svnweb.freebsd.org/changeset/ports/333045

Log:
  Update to 0.57.
  
  PR:		ports/179390
  Submitted by:	nemysis
  Approved by:	maintainer

Modified:
  head/Mk/Uses/pure.mk
  head/audio/pure-audio/Makefile
  head/audio/pure-audio/pkg-descr
  head/databases/pure-sql3/Makefile
  head/databases/pure-sql3/pkg-descr
  head/devel/pure-ffi/Makefile
  head/devel/pure-ffi/distinfo
  head/devel/pure-ffi/pkg-descr
  head/devel/pure-gen/Makefile
  head/devel/pure-gen/distinfo
  head/devel/pure-gen/pkg-descr
  head/devel/pure-gen/pkg-plist
  head/devel/pure-readline/Makefile
  head/devel/pure-readline/distinfo
  head/devel/pure-readline/pkg-descr
  head/graphics/pure-gl/Makefile
  head/graphics/pure-gl/pkg-descr
  head/lang/pure/Makefile
  head/lang/pure/distinfo
  head/lang/pure/pkg-descr
  head/lang/pure/pkg-plist
  head/math/pure-mpfr/Makefile
  head/math/pure-mpfr/pkg-descr
  head/math/pure-rational/Makefile
  head/math/pure-rational/pkg-descr
  head/net/pure-sockets/Makefile
  head/net/pure-sockets/pkg-descr
  head/textproc/pure-csv/Makefile
  head/textproc/pure-csv/pkg-descr
  head/textproc/pure-xml/Makefile
  head/textproc/pure-xml/pkg-descr
  head/x11-toolkits/pure-gtk/Makefile
  head/x11-toolkits/pure-gtk/pkg-descr
  head/x11-toolkits/pure-tk/Makefile
  head/x11-toolkits/pure-tk/distinfo

Modified: head/Mk/Uses/pure.mk
==============================================================================
--- head/Mk/Uses/pure.mk	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/Mk/Uses/pure.mk	Wed Nov  6 22:50:21 2013	(r333045)
@@ -19,20 +19,24 @@ _valid_ARGS=		ffi
 _pure_ARGS=		${pure_ARGS:C/\:/ /g}
 
 # Sanity check
-.if defined(pure_ARGS) && ${_pure_ARGS} != ffi
-IGNORE=Incorrect 'USES+= pure:${pure_ARGS}' usage: argument [${pure_ARGS}] is not recognized
+.if defined(pure_ARGS)
+.  for arg in ${_pure_ARGS}
+.    if empty(_valid_ARGS:M${arg})
+IGNORE= Incorrect 'USES+= pure:${pure_ARGS}' usage: argument [${arg}] is not recognized
+.    endif
+.  endfor
 .endif
 
 LIB_DEPENDS+=	libpure.so:${PORTSDIR}/lang/pure
-.include "${PORTSDIR}/Mk/Uses/gmake.mk"
+USES=	gmake
 
 .if ${_pure_ARGS:Mffi}
 RUN_DEPENDS+=	${LOCALBASE}/lib/pure/ffi.pure:${PORTSDIR}/devel/pure-ffi
 .endif
 
 MAKE_ARGS+=	prefix=${PREFIX} mandir=${PREFIX}/man \
-		CC="${CC}" CFLAGS="${CFLAGS}" \
-		CXX="${CXX}" CXXFLAGS="${CXXFLAGS}" \
+		CC=${CC} CFLAGS="${CFLAGS}" \
+		CXX=${CXX} CXXFLAGS="${CXXFLAGS}" \
 		CPPFLAGS+=-I${LOCALBASE}/include \
 		LDFLAGS+=-L${LOCALBASE}/lib
 

Modified: head/audio/pure-audio/Makefile
==============================================================================
--- head/audio/pure-audio/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/audio/pure-audio/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -3,24 +3,45 @@
 
 PORTNAME=	pure-audio
 PORTVERSION=	0.5
+PORTREVISION=	1
 CATEGORIES=	audio
+MASTER_SITES=	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
-COMMENT=	A digital audio interface for the Pure language
+COMMENT=	Digital audio interface for the Pure language
+
+LICENSE=	BSD
 
 LIB_DEPENDS=	portaudio.2:${PORTSDIR}/audio/portaudio2 \
 		samplerate:${PORTSDIR}/audio/libsamplerate \
 		sndfile:${PORTSDIR}/audio/libsndfile \
 		fftw3:${PORTSDIR}/math/fftw3
 
-USE_PURE=	yes
+USES=		pure
 NO_STAGE=	yes
 
 post-patch:
-	${REINPLACE_CMD} \
+	@${REINPLACE_CMD} \
 		-e "s|-lportaudio|-I${LOCALBASE}/include/portaudio2 -L${LOCALBASE}/lib/portaudio2 -lportaudio|" \
 		-e "s|portaudio.h|portaudio2/portaudio.h|g" \
-	   	${WRKSRC}/Makefile
+			${WRKSRC}/Makefile
+
+PORTDOCS=	README
+
+PORTEXAMPLES=	*
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}
+	@(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} . ${EXAMPLESDIR})
+.endif
 
-.include "${.CURDIR}/../../lang/pure/bsd.pure.mk"
 .include <bsd.port.mk>

Modified: head/audio/pure-audio/pkg-descr
==============================================================================
--- head/audio/pure-audio/pkg-descr	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/audio/pure-audio/pkg-descr	Wed Nov  6 22:50:21 2013	(r333045)
@@ -4,4 +4,4 @@ libsamplerate, as well as a realtime mod
 to realtime scheduling on systems which have a pthreads library with the
 POSIX realtime threads extension.
 
-WWW:	http://docs.pure-lang.googlecode.com/hg/pure-audio.html
+WWW: http://docs.pure-lang.googlecode.com/hg/pure-audio.html

Modified: head/databases/pure-sql3/Makefile
==============================================================================
--- head/databases/pure-sql3/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/databases/pure-sql3/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -3,19 +3,40 @@
 
 PORTNAME=	pure-sql3
 PORTVERSION=	0.4
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	databases
+MASTER_SITES=	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Pure language binding to the SQLite3 library
 
+LICENSE=	BSD
+
 LIB_DEPENDS=	sqlite3:${PORTSDIR}/databases/sqlite3
 
-USE_PURE=	yes
+USES=		pure
 
 PLIST_FILES=	lib/pure/sql3.pure \
 		lib/pure/sql3util.so
 
 NO_STAGE=	yes
-.include "${.CURDIR}/../../lang/pure/bsd.pure.mk"
+
+PORTDOCS=	README
+
+PORTEXAMPLES=	*
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}
+	@(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} . ${EXAMPLESDIR})
+.endif
+
 .include <bsd.port.mk>

Modified: head/databases/pure-sql3/pkg-descr
==============================================================================
--- head/databases/pure-sql3/pkg-descr	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/databases/pure-sql3/pkg-descr	Wed Nov  6 22:50:21 2013	(r333045)
@@ -3,4 +3,4 @@ minimal wrapper around Sqlite3's C inter
 developer access to all of Sqlite3's features in a way that is convenient
 for Pure programmers.
 
-WWW:	http://docs.pure-lang.googlecode.com/hg/pure-sql3.html
+WWW: http://docs.pure-lang.googlecode.com/hg/pure-sql3.html

Modified: head/devel/pure-ffi/Makefile
==============================================================================
--- head/devel/pure-ffi/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/devel/pure-ffi/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -2,20 +2,41 @@
 # $FreeBSD$
 
 PORTNAME=	pure-ffi
-PORTVERSION=	0.12
-PORTREVISION=	1
+PORTVERSION=	0.13
 CATEGORIES=	devel
+MASTER_SITES=	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Pure language interface to libffi
 
+LICENSE=	GPLv3 LGPL3
+LICENSE_COMB=	dual
+
 LIB_DEPENDS+=	ffi:${PORTSDIR}/devel/libffi
 
-USE_PURE=	yes
+USES=		pure
 
 PLIST_FILES=	lib/pure/ffi.pure \
 		lib/pure/ffi.so
 
 NO_STAGE=	yes
-.include "${.CURDIR}/../../lang/pure/bsd.pure.mk"
+
+PORTDOCS=	README
+
+PORTEXAMPLES=	*
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}
+	@(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} . ${EXAMPLESDIR})
+.endif
+
 .include <bsd.port.mk>

Modified: head/devel/pure-ffi/distinfo
==============================================================================
--- head/devel/pure-ffi/distinfo	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/devel/pure-ffi/distinfo	Wed Nov  6 22:50:21 2013	(r333045)
@@ -1,2 +1,2 @@
-SHA256 (pure/pure-ffi-0.12.tar.gz) = 7aba78d96cad5ce6277b9857cbe9a09d6d572cb3fa5a48a53e4a8d3e23eee32d
-SIZE (pure/pure-ffi-0.12.tar.gz) = 39868
+SHA256 (pure/pure-ffi-0.13.tar.gz) = 1c605ee261a6a8fe60684e764ba1f12dfd2e1e09290190411314b35a71a69636
+SIZE (pure/pure-ffi-0.13.tar.gz) = 39857

Modified: head/devel/pure-ffi/pkg-descr
==============================================================================
--- head/devel/pure-ffi/pkg-descr	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/devel/pure-ffi/pkg-descr	Wed Nov  6 22:50:21 2013	(r333045)
@@ -3,4 +3,4 @@ functions from Pure and vice versa. It e
 built-in C interface in that it also handles C structs and makes Pure
 functions callable from C without writing a single line of C code.
 
-WWW:	http://docs.pure-lang.googlecode.com/hg/pure-ffi.html
+WWW: http://docs.pure-lang.googlecode.com/hg/pure-ffi.html

Modified: head/devel/pure-gen/Makefile
==============================================================================
--- head/devel/pure-gen/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/devel/pure-gen/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -2,21 +2,47 @@
 # $FreeBSD$
 
 PORTNAME=	pure-gen
-PORTVERSION=	0.15
+PORTVERSION=	0.16
 CATEGORIES=	devel
+MASTER_SITES=	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
-COMMENT=	A C interface generator for the Pure language
+COMMENT=	C interface generator for the Pure language
+
+LICENSE=	BSD
 
 BUILD_DEPENDS=	ghc:${PORTSDIR}/lang/ghc \
 		hs-language-c>=0.3.2:${PORTSDIR}/devel/hs-language-c
 
-USE_PURE=	yes
+NO_STAGE=	yes
 
-MAN1=		pure-gen.1
+CC=		gcc
 
-CC= 		gcc
+USES=		pure:ffi
+USE_GCC=	4.6+
+
+MAN1=		${PORTNAME}.1
+
+PLIST_FILES=	bin/${PORTNAME} \
+		lib/${PORTNAME}/dump-ast
+PLIST_DIRS=	lib/${PORTNAME}
+
+PORTDOCS=	README README.dump-ast
+
+PORTEXAMPLES=	*
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}
+	@(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} . ${EXAMPLESDIR})
+.endif
 
-NO_STAGE=	yes
-.include "${.CURDIR}/../../lang/pure/bsd.pure.mk"
 .include <bsd.port.mk>

Modified: head/devel/pure-gen/distinfo
==============================================================================
--- head/devel/pure-gen/distinfo	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/devel/pure-gen/distinfo	Wed Nov  6 22:50:21 2013	(r333045)
@@ -1,2 +1,2 @@
-SHA256 (pure/pure-gen-0.15.tar.gz) = e51921028f09710564b973d4ecd279f8654a8943c5aed8ddde0355bbb8a67bc6
-SIZE (pure/pure-gen-0.15.tar.gz) = 57590
+SHA256 (pure/pure-gen-0.16.tar.gz) = 077c2db73b0894f45b68a8d1d98b493bc94c63d85de04f918d66771732b3aa8c
+SIZE (pure/pure-gen-0.16.tar.gz) = 69391

Modified: head/devel/pure-gen/pkg-descr
==============================================================================
--- head/devel/pure-gen/pkg-descr	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/devel/pure-gen/pkg-descr	Wed Nov  6 22:50:21 2013	(r333045)
@@ -7,4 +7,4 @@ wrapper module which allows you to creat
 code which can be called via C. Interfaces to C++ can be made using SWIG's
 new C language module which can wrap arbitrary C++ libraries in C.
 
-WWW:	http://docs.pure-lang.googlecode.com/hg/pure-gen.html
+WWW: http://docs.pure-lang.googlecode.com/hg/pure-gen.html

Modified: head/devel/pure-gen/pkg-plist
==============================================================================
--- head/devel/pure-gen/pkg-plist	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/devel/pure-gen/pkg-plist	Wed Nov  6 22:50:21 2013	(r333045)
@@ -1,3 +0,0 @@
-bin/pure-gen
-lib/pure-gen/dump-ast
-@dirrm lib/pure-gen

Modified: head/devel/pure-readline/Makefile
==============================================================================
--- head/devel/pure-readline/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/devel/pure-readline/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -2,18 +2,32 @@
 # $FreeBSD$
 
 PORTNAME=	pure-readline
-PORTVERSION=	0.1
+PORTVERSION=	0.2
 CATEGORIES=	devel
+MASTER_SITES=	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
-COMMENT=	A readline interface for the Pure language
+COMMENT=	Readline interface for the Pure language
 
-USE_PURE=	yes
-NO_PURE_EXAMPLES=	yes
+LICENSE=	BSD GPLv3
+LICENSE_COMB=	dual
+
+USES=		pure
 
 PLIST_FILES=	lib/pure/readline.pure \
 		lib/pure/readline.so
 
 NO_STAGE=	yes
-.include "${.CURDIR}/../../lang/pure/bsd.pure.mk"
+
+PORTDOCS=	README
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
 .include <bsd.port.mk>

Modified: head/devel/pure-readline/distinfo
==============================================================================
--- head/devel/pure-readline/distinfo	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/devel/pure-readline/distinfo	Wed Nov  6 22:50:21 2013	(r333045)
@@ -1,2 +1,2 @@
-SHA256 (pure/pure-readline-0.1.tar.gz) = a8721d58d2d34c803967923a2ebd1b8f612abfe8d4ad75d6796bee5bbc3c45a2
-SIZE (pure/pure-readline-0.1.tar.gz) = 16358
+SHA256 (pure/pure-readline-0.2.tar.gz) = 543686305921de4a6c295c8320be0c8fb273ae5219dbda9e17a85c27d9cd1baf
+SIZE (pure/pure-readline-0.2.tar.gz) = 19015

Modified: head/devel/pure-readline/pkg-descr
==============================================================================
--- head/devel/pure-readline/pkg-descr	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/devel/pure-readline/pkg-descr	Wed Nov  6 22:50:21 2013	(r333045)
@@ -2,4 +2,4 @@ Pure's interface to C++ vectors, special
 Pure expressions, and the C++ Standard Template Library algorithms that act
 on them.
 
-WWW:	http://docs.pure-lang.googlecode.com/hg/pure-readline.html
+WWW: http://docs.pure-lang.googlecode.com/hg/pure-readline.html

Modified: head/graphics/pure-gl/Makefile
==============================================================================
--- head/graphics/pure-gl/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/graphics/pure-gl/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -3,19 +3,38 @@
 
 PORTNAME=	pure-gl
 PORTVERSION=	0.8
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	graphics
+MASTER_SITES	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Pure language interface to OpenGL
 
-RUN_DEPENDS+=	${LOCALBASE}/lib/pure/ffi.pure:${PORTSDIR}/devel/pure-ffi
+LICENSE=	BSD
 
-USE_PURE=	yes
-USE_GL=	glut
+USES=		pure:ffi
+USE_GL=		glut
 
 MAKE_ARGS+=	LinkGL="-lglut -lGLU -lGL"
 
 NO_STAGE=	yes
-.include "${.CURDIR}/../../lang/pure/bsd.pure.mk"
+
+PORTDOCS=	README
+
+PORTEXAMPLES=	*
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}
+	@(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} . ${EXAMPLESDIR})
+.endif
+
 .include <bsd.port.mk>

Modified: head/graphics/pure-gl/pkg-descr
==============================================================================
--- head/graphics/pure-gl/pkg-descr	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/graphics/pure-gl/pkg-descr	Wed Nov  6 22:50:21 2013	(r333045)
@@ -3,4 +3,4 @@ covers pretty much all of OpenGL, includ
 Extensions are loaded on demand, functions will throw an exception if they
 are not available in your OpenGL implementation.
 
-WWW:	http://docs.pure-lang.googlecode.com/hg/pure-gl.html
+WWW: http://docs.pure-lang.googlecode.com/hg/pure-gl.html

Modified: head/lang/pure/Makefile
==============================================================================
--- head/lang/pure/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/lang/pure/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -2,10 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	pure
-PORTVERSION=	0.55
+PORTVERSION=	0.58
 CATEGORIES=	lang
-DISTFILES=	${PORTNAME}-${PORTVERSION}.tar.gz \
-		${PORTNAME}-docs-${PORTVERSION}.tar.gz
+MASTER_SITES=	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DISTFILES=	${PORTNAME}-${PORTVERSION}.tar.gz ${PORTNAME}-docs-${PORTVERSION}.tar.gz
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Modern-style functional programming language
@@ -15,34 +16,49 @@ LICENSE_COMB=	dual
 
 LIB_DEPENDS=	libgmp.so:${PORTSDIR}/math/gmp \
 		libmpfr.so:${PORTSDIR}/math/mpfr
-BUILD_DEPENDS=	llvm31>=3.1:${PORTSDIR}/devel/llvm31
-RUN_DEPENDS=	llvm31>=3.1:${PORTSDIR}/devel/llvm31
+BUILD_DEPENDS=	llvm>=3.2:${PORTSDIR}/devel/llvm
+RUN_DEPENDS:=	${BUILD_DEPENDS}
 
-USES=		iconv pkgconfig
+SUB_FILES=	pkg-message
+
+USES=		gmake iconv pathfix pkgconfig
 USE_AUTOTOOLS=	libltdl
 GNU_CONFIGURE=	yes
-USE_GNOME=	gnomehack
+CONFIGURE_ARGS=	--with-libgmp-prefix=${LOCALBASE} --enable-release
 USE_LDCONFIG=	yes
-USE_PURE=	yes
 
-CONFIGURE_ARGS=	--with-libgmp-prefix=${LOCALBASE} --enable-release
+MAKE_ARGS+=	prefix=${PREFIX} mandir=${PREFIX}/man \
+		CC=${CC} CFLAGS="${CFLAGS}" \
+		CXX=${CXX} CXXFLAGS="${CXXFLAGS}" \
+		CPPFLAGS+=-I${LOCALBASE}/include \
+		LDFLAGS+=-L${LOCALBASE}/lib
+
+PORTDOCS=	*
+PORTEXAMPLES=	*
+
+OPTIONS_DEFINE=	DOCS EMACS ETC EXAMPLES
 
-OPTIONS_DEFINE=	EMACS
 EMACS_DESC=	Compile pure-mode.el with Emacs
+ETC_DESC=	Copy Pure syntax highlighting to ${DATADIR}/etc
 
-MAN1=		pure.1
-SUB_FILES=	pkg-message
+OPTIONS_DEFAULT=	ETC
+
+OPTIONS_SUB=	yes
+
+EMACS_CONFIGURE_ENABLE=		--with-elisp
+EMACS_CONFIGURE_DISABLE=	--without-elisp
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MEMACS}
 USE_EMACS=	yes
 MAKE_ARGS+=	emacs_prefix=${PREFIX}
-PLIST_SUB+=	ELC=""
+.endif
+
+.if ${OSVERSION} < 900014
+SUB_LIST+=	NOCLANG=""
 .else
-CONFIGURE_ARGS+=	--without-elisp
-PLIST_SUB+=	ELC="@comment "
+SUB_LIST+=	NOCLANG="@comment "
 .endif
 
 # automatically disable readline support if editline support is available
@@ -54,48 +70,21 @@ CONFIGURE_ARGS+=	--without-readline
 CONFIGURE_TARGET=	x86_64-portbld-freebsd
 .endif
 
-PORTDATA=	*
-PORTEXAMPLES=	*
-PORTDOCS=	*
-
-.if !defined(NOPORTDATA)
-SUB_LIST+=	ETC=""
-.else
-SUB_LIST+=	ETC="@comment "
+post-install:
+.if ${PORT_OPTIONS:METC}
+	@${MKDIR} ${STAGEDIR}${DATADIR}/etc/
+	@(cd ${WRKSRC} && ${RM} -f etc/*.in && ${COPYTREE_SHARE} etc/ ${STAGEDIR}${DATADIR})
 .endif
 
-.if !defined(NOPORTDOCS)
-PLIST_SUB+=	DOCS=""
-.else
-PLIST_SUB+=	DOCS="@comment "
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	@(cd ${WRKDIR}/${PORTNAME}-docs-${PORTVERSION} && ${RM} -f Makefile && ${COPYTREE_SHARE} . ${STAGEDIR}${DOCSDIR})
+	${LN} -sf ${DOCSDIR} ${STAGEDIR}${PREFIX}/lib/${PORTNAME}/docs
 .endif
 
-.if ${OSVERSION} < 900014
-SUB_LIST+=	NOCLANG=""
-.else
-SUB_LIST+=	NOCLANG="@comment "
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	@(cd ${WRKSRC}/examples && ${COPYTREE_SHARE} . ${STAGEDIR}${EXAMPLESDIR})
 .endif
 
-.include "${.CURDIR}/bsd.pure.mk"
-.include <bsd.port.pre.mk>
-
-post-install:
-.if !defined(NOPORTDATA)
-	@${MKDIR} ${DATADIR}/etc
-	(cd ${WRKSRC} && ${RM} -f etc/*.in && ${COPYTREE_SHARE} etc ${DATADIR})
-.endif
-.if !defined(NOPORTEXAMPLES)
-	@${MKDIR} ${EXAMPLESDIR}
-	(cd ${WRKSRC}/examples && ${COPYTREE_SHARE} . ${EXAMPLESDIR})
-.endif
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-	(cd ${WRKDIR}/${PORTNAME}-docs-${PORTVERSION} && \
-		${RM} -f Makefile && ${COPYTREE_SHARE} . ${DOCSDIR})
-	${LN} -fs ${DOCSDIR} ${PREFIX}/lib/${PORTNAME}/docs
-.endif
-	@${ECHO_MSG}
-	@${CAT} ${PKGMESSAGE}
-	@${ECHO_MSG}
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/lang/pure/distinfo
==============================================================================
--- head/lang/pure/distinfo	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/lang/pure/distinfo	Wed Nov  6 22:50:21 2013	(r333045)
@@ -1,4 +1,4 @@
-SHA256 (pure/pure-0.55.tar.gz) = 36dbf1b77719a8031766b30812ac89102188d01ae9da80c2b53889f501cb58a7
-SIZE (pure/pure-0.55.tar.gz) = 1147787
-SHA256 (pure/pure-docs-0.55.tar.gz) = 2cd0045c8fd126cf41cb847f2842e11b7c0480c8cb8d5ea33470cf7edcfd1db9
-SIZE (pure/pure-docs-0.55.tar.gz) = 3540249
+SHA256 (pure/pure-0.58.tar.gz) = b1f65c8fd6e41b7db60a11314d0ac996150b5593a84e930cd9c8bb6ad17e1ea0
+SIZE (pure/pure-0.58.tar.gz) = 1465322
+SHA256 (pure/pure-docs-0.58.tar.gz) = 4374949a3d78db6363d110322dc34c1f97c8c81688a126ccdba4b9b638953b85
+SIZE (pure/pure-docs-0.58.tar.gz) = 4816134

Modified: head/lang/pure/pkg-descr
==============================================================================
--- head/lang/pure/pkg-descr	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/lang/pure/pkg-descr	Wed Nov  6 22:50:21 2013	(r333045)
@@ -5,4 +5,4 @@ lexical closures, built-in list and matr
 interface. The interpreter uses LLVM as a backend to JIT-compile Pure
 programs to fast native code.
 
-WWW:	https://code.google.com/p/pure-lang/
+WWW: http://purelang.bitbucket.org/

Modified: head/lang/pure/pkg-plist
==============================================================================
--- head/lang/pure/pkg-plist	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/lang/pure/pkg-plist	Wed Nov  6 22:50:21 2013	(r333045)
@@ -6,6 +6,8 @@ lib/libpure.so.8.0
 lib/pure/array.pure
 lib/pure/avltrees.pure
 lib/pure/dict.pure
+lib/pure/docs
+lib/pure/enum.pure
 lib/pure/faustui.pure
 lib/pure/getopt.pure
 lib/pure/heap.pure
@@ -18,15 +20,26 @@ lib/pure/primitives.pure
 lib/pure/pure_main.c
 lib/pure/pure_main.o
 lib/pure/quasiquote.pure
-lib/pure/quasiquote1.pure
 lib/pure/records.pure
 lib/pure/regex.pure
 lib/pure/set.pure
 lib/pure/strings.pure
 lib/pure/system.pure
 libdata/pkgconfig/pure.pc
-%%ELC%%%%EMACS_SITE_LISPDIR%%/pure-mode.el
-%%ELC%%%%EMACS_SITE_LISPDIR%%/pure-mode.elc
-%%DOCS%%lib/pure/docs
+man/man1/pure.1.gz
+%%EMACS%%share/emacs/site-lisp/pure-mode.el
+%%EMACS%%share/emacs/site-lisp/pure-mode.elc
+%%ETC%%%%DATADIR%%/etc/pure-highlight.lang
+%%ETC%%%%DATADIR%%/etc/pure-mode.el
+%%EMACS%%%%ETC%%%%DATADIR%%/etc/pure-mode.elc
+%%ETC%%%%DATADIR%%/etc/pure.lang
+%%ETC%%%%DATADIR%%/etc/pure.nanorc
+%%ETC%%%%DATADIR%%/etc/pure.plist
+%%ETC%%%%DATADIR%%/etc/pure.py
+%%ETC%%%%DATADIR%%/etc/pure.ssh
+%%ETC%%%%DATADIR%%/etc/pure.vim
+%%ETC%%%%DATADIR%%/etc/pure.xml
+%%ETC%%@dirrm %%DATADIR%%/etc
+%%ETC%%@dirrm %%DATADIR%%
 @dirrm lib/pure
 @dirrm include/pure

Modified: head/math/pure-mpfr/Makefile
==============================================================================
--- head/math/pure-mpfr/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/math/pure-mpfr/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -3,19 +3,41 @@
 
 PORTNAME=	pure-mpfr
 PORTVERSION=	0.4
+PORTREVISION=	1
 CATEGORIES=	math
+MASTER_SITES=	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Multiprecision floats for Pure
 
-USE_PURE=	yes
-USES=		pkgconfig
+LICENSE=	GPLv3 LGPL3
+LICENSE_COMB=	dual
+
+MAKE_ARGS+=	libdir="${PREFIX}/lib"
+
+USES=		pkgconfig pure
 
 PLIST_FILES=	lib/pure/mpfr.pure \
 		lib/pure/mpfr.so
 
-MAKE_ARGS+=	libdir="${PREFIX}/lib"
-
 NO_STAGE=	yes
-.include "${.CURDIR}/../../lang/pure/bsd.pure.mk"
+
+PORTDOCS=	README
+
+PORTEXAMPLES=	*
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}
+	@(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} . ${EXAMPLESDIR})
+.endif
+
 .include <bsd.port.mk>

Modified: head/math/pure-mpfr/pkg-descr
==============================================================================
--- head/math/pure-mpfr/pkg-descr	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/math/pure-mpfr/pkg-descr	Wed Nov  6 22:50:21 2013	(r333045)
@@ -2,4 +2,4 @@ pure-mpfr makes the MPFR multiprecision 
 mpfr numbers or values) available in Pure, so that they work with the other
 types of Pure numbers in an almost seamless fashion.
 
-WWW:	http://docs.pure-lang.googlecode.com/hg/pure-mpfr.html
+WWW: http://docs.pure-lang.googlecode.com/hg/pure-mpfr.html

Modified: head/math/pure-rational/Makefile
==============================================================================
--- head/math/pure-rational/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/math/pure-rational/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -5,18 +5,29 @@ PORTNAME=	pure-rational
 PORTVERSION=	0.1
 PORTREVISION=	1
 CATEGORIES=	math
+MASTER_SITES=	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Rational number library for the Pure language
 
 LICENSE=	GPLv3
 
-USE_PURE=	yes
-NO_PURE_EXAMPLES=	yes
+USES=		pure
 
 PLIST_FILES=	lib/pure/rational.pure \
 		lib/pure/rat_interval.pure
 
 NO_STAGE=	yes
-.include "${.CURDIR}/../../lang/pure/bsd.pure.mk"
+
+PORTDOCS=	README
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
 .include <bsd.port.mk>

Modified: head/math/pure-rational/pkg-descr
==============================================================================
--- head/math/pure-rational/pkg-descr	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/math/pure-rational/pkg-descr	Wed Nov  6 22:50:21 2013	(r333045)
@@ -1,4 +1,4 @@
 pure-rational provides additional operations on the rational number type
 provided by the math.pure module in the standard library.
 
-WWW:	http://docs.pure-lang.googlecode.com/hg/pure-rational.html
+WWW: http://docs.pure-lang.googlecode.com/hg/pure-rational.html

Modified: head/net/pure-sockets/Makefile
==============================================================================
--- head/net/pure-sockets/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/net/pure-sockets/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -3,16 +3,39 @@
 
 PORTNAME=	pure-sockets
 PORTVERSION=	0.6
+PORTREVISION=	1
 CATEGORIES=	net
+MASTER_SITES=	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Pure language interface to the Berkeley socket functions
 
-USE_PURE=	yes
+LICENSE=	GPLv3 LGPL3
+LICENSE_COMB=	dual
+
+USES=		pure
 
 PLIST_FILES=	lib/pure/sockets.pure \
 		lib/pure/sockets.so
 
 NO_STAGE=	yes
-.include "${.CURDIR}/../../lang/pure/bsd.pure.mk"
+
+PORTDOCS=	README
+
+PORTEXAMPLES=	*
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}
+	@(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} . ${EXAMPLESDIR})
+.endif
+
 .include <bsd.port.mk>

Modified: head/net/pure-sockets/pkg-descr
==============================================================================
--- head/net/pure-sockets/pkg-descr	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/net/pure-sockets/pkg-descr	Wed Nov  6 22:50:21 2013	(r333045)
@@ -3,4 +3,4 @@ functionality, so you can create sockets
 protocols and use these to transmit messages. Unix-style file sockets are
 also available if the host system supports them.
 
-WWW:	http://docs.pure-lang.googlecode.com/hg/pure-sockets.html
+WWW: http://docs.pure-lang.googlecode.com/hg/pure-sockets.html

Modified: head/textproc/pure-csv/Makefile
==============================================================================
--- head/textproc/pure-csv/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/textproc/pure-csv/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -3,17 +3,31 @@
 
 PORTNAME=	pure-csv
 PORTVERSION=	1.5
+PORTREVISION=	1
 CATEGORIES=	textproc
+MASTER_SITES=	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
-COMMENT=	A CSV reading and writing module for the Pure language
+COMMENT=	CSV reading and writing module for the Pure language
 
-USE_PURE=	yes
-NO_PURE_EXAMPLES=	yes
+LICENSE=	BSD
+
+USES=		pure
 
 PLIST_FILES=	lib/pure/csv.pure \
 		lib/pure/csv.so
 
 NO_STAGE=	yes
-.include "${.CURDIR}/../../lang/pure/bsd.pure.mk"
+
+PORTDOCS=	README
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
 .include <bsd.port.mk>

Modified: head/textproc/pure-csv/pkg-descr
==============================================================================
--- head/textproc/pure-csv/pkg-descr	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/textproc/pure-csv/pkg-descr	Wed Nov  6 22:50:21 2013	(r333045)
@@ -1,4 +1,4 @@
 pure-csv is a module for reading and writing Comma Separated Value (CSV)
 files from within Pure.
 
-WWW:	http://docs.pure-lang.googlecode.com/hg/pure-csv.html
+WWW: http://docs.pure-lang.googlecode.com/hg/pure-csv.html

Modified: head/textproc/pure-xml/Makefile
==============================================================================
--- head/textproc/pure-xml/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/textproc/pure-xml/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -3,18 +3,40 @@
 
 PORTNAME=	pure-xml
 PORTVERSION=	0.6
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	textproc
+MASTER_SITES=	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Pure language interface for libxml2 and libxslt
 
-USE_PURE=	yes
+LICENSE=	GPLv3 LGPL3
+LICENSE_COMB=	dual
+
+USES=		pure
 USE_GNOME=	libxml2 libxslt
 
 PLIST_FILES=	lib/pure/xml.pure \
 		lib/pure/xml.so
 
 NO_STAGE=	yes
-.include "${.CURDIR}/../../lang/pure/bsd.pure.mk"
+
+PORTDOCS=	README
+
+PORTEXAMPLES=	*
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}
+	@(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} . ${EXAMPLESDIR})
+.endif
+
 .include <bsd.port.mk>

Modified: head/textproc/pure-xml/pkg-descr
==============================================================================
--- head/textproc/pure-xml/pkg-descr	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/textproc/pure-xml/pkg-descr	Wed Nov  6 22:50:21 2013	(r333045)
@@ -3,4 +3,4 @@ module provides a simplified interface t
 libraries, and supplies all the necessary data structures and operations to
 inspect, create, modify and transform XML documents with ease.
 
-WWW:	http://docs.pure-lang.googlecode.com/hg/pure-xml.html
+WWW: http://docs.pure-lang.googlecode.com/hg/pure-xml.html

Modified: head/x11-toolkits/pure-gtk/Makefile
==============================================================================
--- head/x11-toolkits/pure-gtk/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/x11-toolkits/pure-gtk/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -3,17 +3,39 @@
 
 PORTNAME=	pure-gtk
 PORTVERSION=	0.11
+PORTREVISION=	1
 CATEGORIES=	x11-toolkits
+MASTER_SITES=	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
-COMMENT=	A set of Pure language bindings for GTK+
+COMMENT=	Set of Pure language bindings for GTK+
+
+LICENSE=	GPLv3 LGPL3
+LICENSE_COMB=	dual
 
 LIB_DEPENDS=	cairo:${PORTSDIR}/graphics/cairo
 
-USES=		pkgconfig
-USE_PURE=	ffi
+USES=		pkgconfig pure:ffi
 USE_GNOME=	glib20 gtk20 atk pango
 
 NO_STAGE=	yes
-.include "${.CURDIR}/../../lang/pure/bsd.pure.mk"
+
+PORTDOCS=	README
+
+PORTEXAMPLES=	*
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}
+	@(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} . ${EXAMPLESDIR})
+.endif
+
 .include <bsd.port.mk>

Modified: head/x11-toolkits/pure-gtk/pkg-descr
==============================================================================
--- head/x11-toolkits/pure-gtk/pkg-descr	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/x11-toolkits/pure-gtk/pkg-descr	Wed Nov  6 22:50:21 2013	(r333045)
@@ -2,4 +2,4 @@ pure-gtk is a collection of bindings to 
 with Pure. The bindings include the gtk (+gdk), glib, atk, cairo and pango
 libraries, each in their own Pure module.
 
-WWW:	http://docs.pure-lang.googlecode.com/hg/pure-gtk.html
+WWW: http://docs.pure-lang.googlecode.com/hg/pure-gtk.html

Modified: head/x11-toolkits/pure-tk/Makefile
==============================================================================
--- head/x11-toolkits/pure-tk/Makefile	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/x11-toolkits/pure-tk/Makefile	Wed Nov  6 22:50:21 2013	(r333045)
@@ -2,14 +2,18 @@
 # $FreeBSD$
 
 PORTNAME=	pure-tk
-PORTVERSION=	0.3
+PORTVERSION=	0.4
 CATEGORIES=	x11-toolkits
+MASTER_SITES=	https://cdn.bitbucket.org/purelang/pure-lang/downloads/
+DIST_SUBDIR=	pure
 
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Basic interface between Pure and Tcl/Tk
 
-USE_PURE=	yes
-USE_TK=		yes
+LICENSE=	BSD
+
+USES=		pure
+USE_TK=		86+
 SHORT_TCL_VER=	${TCL_VER:S/8./8/}
 
 MAKE_ARGS+=	tclvers=${TCL_VER}
@@ -18,13 +22,30 @@ PLIST_FILES=	lib/pure/gnocl.pure \
 		lib/pure/tk.so \
 		lib/pure/tk.pure
 
-NO_STAGE=	yes
 post-patch:
 	${REINPLACE_CMD} \
- 		-e "s|/usr/include|${LOCALBASE}/include|g" \
- 		-e "s|-ltcl\$$(tclvers)|-ltcl${SHORT_TCL_VER}|" \
- 		-e "s|-ltk\$$(tclvers)|-ltk${SHORT_TCL_VER}|" \
+		-e "s|/usr/include|${LOCALBASE}/include|g" \
+		-e "s|-ltcl\$$(tclvers)|-ltcl${SHORT_TCL_VER}|" \
+		-e "s|-ltk\$$(tclvers)|-ltk${SHORT_TCL_VER}|" \
 		${WRKSRC}/Makefile
 
-.include "${.CURDIR}/../../lang/pure/bsd.pure.mk"
+NO_STAGE=	yes
+
+PORTDOCS=	README
+
+PORTEXAMPLES=	*
+
+.include <bsd.port.options.mk>
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}
+	@(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} . ${EXAMPLESDIR})
+.endif
+
 .include <bsd.port.mk>

Modified: head/x11-toolkits/pure-tk/distinfo
==============================================================================
--- head/x11-toolkits/pure-tk/distinfo	Wed Nov  6 22:48:02 2013	(r333044)
+++ head/x11-toolkits/pure-tk/distinfo	Wed Nov  6 22:50:21 2013	(r333045)
@@ -1,2 +1,2 @@
-SHA256 (pure/pure-tk-0.3.tar.gz) = a1807441b4784b590b1fcd287d7750b66dd68f9e91bcddf710ccb3a4e9506a32
-SIZE (pure/pure-tk-0.3.tar.gz) = 31547
+SHA256 (pure/pure-tk-0.4.tar.gz) = 4d254af183974e307aaef73587e93e5f31df548a8f6824ef2db40bb5c46eede6
+SIZE (pure/pure-tk-0.4.tar.gz) = 33208
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"